#include<iostream>
using namespace std;
int main(){
cin.tie(0);
cout.tie(0);
long long a,b,k,i,c=0;

cin>>a>>b>>k;
for(long long i=a;i<b;c++){
    if((i+2)%k==0){
        i--;
    }
    i+=2;
}
cout<<c;

return 0;
}
